org.apache.sling.fileoptim.models

## Interface OptimizedFile

    @ProviderType
     @Model(adaptables=org.apache.sling.api.resource.Resource.class,
           defaultInjectionStrategy=OPTIONAL)
    public interface OptimizedFile

Sling Model representing a file which can be or has been optimized.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getAlgorithm()`
`InputStream` `getContent()`
`boolean` `getDisabled()`
`String` `getHash()`
`String` `getMimeType()`
`InputStream` `getOriginal()`
`double` `getSavings()`

### Method Detail

#### getAlgorithm

    @Named(value="optim:algrithm")
     @Inject
    String getAlgorithm()

#### getDisabled

    @Named(value="optim:disabled")
     @Inject
    boolean getDisabled()

#### getContent

    @Named(value="jcr:data")
     @Inject
    InputStream getContent()

#### getHash

    @Named(value="optim:hash")
     @Inject
    String getHash()

#### getMimeType

    @Named(value="jcr:mimeType")
     @Inject
    String getMimeType()

#### getOriginal

    @Named(value="optim:original")
     @Inject
    InputStream getOriginal()

#### getSavings

    @Named(value="optim:savings")
     @Inject
    double getSavings()